%global momorel 42

Summary: A basic system library for accessing the termcap database.
Name: libtermcap
Version: 2.0.8
Release: %{momorel}m
Source: ftp://metalab.unc.edu/pub/Linux/GCC/termcap-2.0.8.tar.bz2
Url: ftp://metalab.unc.edu/pub/Linux/GCC/
License: LGPL
Group: System Environment/Libraries
Patch0: termcap-2.0.8-shared.patch
Patch1: termcap-2.0.8-setuid.patch
Patch2: termcap-2.0.8-instnoroot.patch
Patch3: termcap-2.0.8-compat21.patch
Patch4: termcap-2.0.8-xref.patch
Patch5: termcap-2.0.8-fix-tc.patch
Patch6: termcap-2.0.8-ignore-p.patch
Patch7: termcap-buffer.patch
# This patch is a REALLY BAD IDEA without patch #10 below....
Patch8: termcap-2.0.8-bufsize.patch
Patch9: termcap-2.0.8-colon.patch
Patch10: libtermcap-aaargh.patch
Patch11: termcap-2.0.8-glibc22.patch
Patch12: libtermcap-2.0.8-ia64.patch
Patch13: termcap-116934.patch
Patch14: termcap-2.0.8-shrink.patch
Patch15: termcap-2.0.8-octal.patch
Patch16: termcap-2.0.8-nofree.patch
Requires: /etc/termcap
BuildPrereq: texinfo
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
The libtermcap package contains a basic system library needed to
access the termcap database.  The termcap library supports easy access
to the termcap database, so that programs can output character-based
displays in a terminal-independent manner.

%package devel
Summary: Development tools for programs which will access the termcap database.
Group: Development/Libraries
Requires: libtermcap = %{version}
Requires(post): info
Requires(preun): info

%description devel
This package includes the libraries and header files necessary for
developing programs which will access the termcap database.

If you need to develop programs which will access the termcap database,
you'll need to install this package.  You'll also need to install the
libtermcap package.

%prep
%setup -q -n termcap-2.0.8
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .nochown
%patch3 -p1 -b .compat21
%patch4 -p1
%patch5 -p1 -b .fix-tc
%patch6 -p1 -b .ignore-p
%patch7 -p1 -b .buffer
%patch8 -p1 -b .bufsize
%patch9 -p1 -b .colon
%patch10 -p1 -b .aaargh
%patch11 -p1 -b .glibc22
%ifarch ia64
%patch12 -p1 -b .ia64
%endif
%patch13 -p1 -b .116934
%patch14 -p1 -b .shrink
%patch15 -p1 -b .octal
%patch16 -p1 -b .nofree

%build
make AR=%{__ar} CC=%{__cc} CFLAGS="$RPM_OPT_FLAGS -I."

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{usr/lib,%{_infodir},usr/include,etc,lib}

export PATH=/sbin:$PATH
make prefix=%{buildroot}/usr install

install -c -m644 termcap.src %{buildroot}/etc/termcap
cp termcap.info* %{buildroot}/%{_infodir}

rm -f %{buildroot}/etc/termcap
mkdir -p %{buildroot}/%{_lib} %{buildroot}/%{_libdir}
mv %{buildroot}/usr/lib/libtermcap.so* %{buildroot}/%{_lib}/
rm -f %{buildroot}/%{_lib}/libtermcap.so
ln -sf libtermcap.so.2.0.8 %{buildroot}/%{_lib}/libtermcap.so.2
ln -sf ../../%{_lib}/libtermcap.so.2.0.8 %{buildroot}/%{_libdir}/libtermcap.so
gzip -9nf %{buildroot}/%{_infodir}/termcap.info*
chmod 644 %{buildroot}/%{_infodir}/termcap.info*
if [ %{_libdir} != /usr/lib ] ; then
 mv %{buildroot}/usr/lib/libtermcap.a %{buildroot}/%{_libdir}/libtermcap.a
fi

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=%{_infodir} %{_infodir}/termcap.info.*
exit 0

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete \
	--section="Libraries" --entry="* Termcap: (termcap).               The GNU termcap library." \
	--info-dir=%{_infodir} %{_infodir}/termcap.info.*
fi
exit 0

%files
%defattr(-,root,root)
/%{_lib}/libtermcap.so.2*

%files devel
%defattr(-,root,root)
%{_libdir}/libtermcap.a
%{_libdir}/libtermcap.so
%{_includedir}/termcap.h
%{_infodir}/termcap.info*

%changelog
* Fri Aug  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.8-42m)
- modify spec based fc-devel

* Fri Aug  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.8-41m)
- add libtermcap.so.2

* Fri May 26 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.8-40m)
- revise %%files for rpm-4.4.2

* Sat Mar 12 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.8-39m)
- modify termcap-2.0.8-64bit.patch for x86_64

* Tue Mar  8 2005 Toru Hoshina <t@momonga-linux.org>
- (2.0.8-38m)
- applied termcap-116934.patch.

* Wed Sep 29 2004 YAMAZAKI Makoto
- (2.0.8-37m)
- used %{_lib} instead of lib

* Wed Apr  7 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.8-36m)
- Only libtermcap-devel require info.

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.8-35m)
- pretty spec file.

* Wed May  1 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.8-34k)
- PreReq: info  ->  Requires: info (for initial install)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.0.8-32k)
- PreReq: info

* Mon Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- info.gz to info.* [%trigger,%postun].

* Thu Jul 13 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96, rpm 3.0.5.

* Tue Jul  4 2000 Matt Wilson <msw@redhat.com>
- move the trigger to the devel package, that's where the info pages
  live now

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release
- move info pages to the development package
- use %%{_infodir}
- patched to build against new glibc (patch11)

* Sun Feb  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- BuildPrereq: texinfo (#8927)

* Sat Feb  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- strip library
- fix up handling of RPM_OPT_FLAGS

* Tue Aug 30 1999 Bill Nottingham <notting@redhat.com>
- ignore the first argument to tgetent, so the last change doesn't
  keep blowing up programs.
- ignore the second argument to tgetstr() as well. 

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- increase default size of malloc'ed tgetent buffer from 1024 to 1536.
- don't shrink colons (#4270).
- rebuild for 6.1.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- add buffer overflow patch from Kevin Vajk <kvajk@ricochet.net>

* Sat May 15 1999 Jeff Johnson <jbj@redhat.com>
- permit multiple tc= continuations and ignore unnecessary %p ("push arg") (#54)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 13)
- fix to make the texi documenattion compile

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- use __PMT(...) prototypes (#761)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Wed Aug 05 1998 Erik Troan <ewt@redhat.com>
- run install-info from a %trigger so we don't have to make it a prereq; as
  termcap is used by bash, the install ordering issues are hairy
- commented out the chown stuff from 'make install' so you don't have to
  be root to build this
- don't run ldconfig if prefix= is used during 'make install'

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>
- But assume system termcap is sane. Also handle setfsuid return right.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>
- TERMCAP environment hole for setuid apps squished.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
